taffybar-0.4.6: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widgets.Util

Description

Utility functions to facilitate building GTK interfaces.

Synopsis

- onClick :: [Click] -> IO a -> EventM EButton Bool
- attachPopup :: (WidgetClass w, WindowClass wnd) => w -> String -> wnd -> IO ()
- displayPopup :: (WidgetClass w, WindowClass wnd) => w -> wnd -> IO ()

# Documentation

onClick Source #

Arguments

:: [Click] | Types of button clicks to listen to.
-> IO a | Action to execute.
-> EventM EButton Bool |

Execute the given action as a response to any of the given types of mouse button clicks.

attachPopup Source #

Arguments

:: (WidgetClass w, WindowClass wnd) |
=> w | The widget to set as popup.
-> String | The title of the popup.
-> wnd | The window to attach the popup to.
-> IO () |

Attach the given widget as a popup with the given title to the given window. The newly attached popup is not shown initially. Use the `displayPopup` function to display it.

displayPopup Source #

Arguments

:: (WidgetClass w, WindowClass wnd) |
=> w | The popup widget.
-> wnd | The window the widget was attached to.
-> IO () |

Display the given popup widget (previously prepared using the `attachPopup` function) immediately beneath (or above) the given window.